Package: org.codehaus.groovy.util

## [Java] Class LockableObject

- org.codehaus.groovy.util.LockableObject

-     public class LockableObject
      extends AbstractQueuedSynchronizer

  A bit simplified lock designed to be inherited by.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected final boolean` | `isHeldExclusively()`
    `` | `public final void` | `lock()`
    `` | `protected final boolean` | `tryAcquire(int acquires)`
    `` | `protected final boolean` | `tryRelease(int releases)`
    `` | `public final void` | `unlock()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractQueuedSynchronizer` | `acquire, acquireInterruptibly, acquireShared, acquireSharedInterruptibly, equals, getClass, getExclusiveQueuedThreads, getFirstQueuedThread, getQueueLength, getQueuedThreads, getSharedQueuedThreads, getWaitQueueLength, getWaitingThreads, hasContended, hasQueuedPredecessors, hasQueuedThreads, hasWaiters, hashCode, isQueued, notify, notifyAll, owns, release, releaseShared, toString, tryAcquireNanos, tryAcquireSharedNanos, wait, wait, wait`

- - ### Method Detail

    - #### @Override
      protected final boolean isHeldExclusively()

    - #### public final void lock()

    - #### @Override
      protected final boolean tryAcquire(int acquires)

    - #### @Override
      protected final boolean tryRelease(int releases)

    - #### public final void unlock()